{
Simon, for Hydra
Coded by Spork Frog
Spectrum TV Driver by Jos Luis Cebrin with slight modification by Spork Frog
Frequency synthesis and random number routines by Parallax

Currently supports keyboard arrow keys only

KNOWN ISSUES:
Must restart after end of game

TODO:
Score counter/high scores
Welcome/splash screen
In-game instructions
}
con
        _clkmode = xtal2 + pll8x
        _xinfreq = 10_000_000

var
  word freq[4]
  
obj
  tv: "JLC_Spectrum_TV_010"
  kbd: "keyboard_iso_010"
  rnd: "RealRandom"

  ld: "left_green"
  rd: "right_blue"
  ud: "up_red"
  dd: "down_yellow"
  bd: "blank"
  

pub main | key, sptr, rand, curr
  tv.start(@data, 0)
  tv.SetBorderColor(0)
  kbd.start(3)
  rnd.start

  sptr := @start

  freq[0] := 196
  freq[1] := 294
  freq[2] := 392
  freq[3] := 220

  key := kbd.newkey
  
  repeat
    rand := ||(rnd.random // 4) + 1
    byte[sptr] := rand
    repeat curr from @start to sptr
      if byte[curr] == 2
        bytemove(@attr, ld.saddr, 768)
        Synth("A", 7, 294)
        waitcnt(20_000_000 + cnt)
        Synth("A", 7, 0)
        bytemove(@attr, bd.saddr, 768)
        waitcnt(5_000_000 + cnt)
      
      if byte[curr] == 4
        bytemove(@attr, rd.saddr, 768)
        Synth("A", 7, 220)
        waitcnt(20_000_000 + cnt)
        Synth("A", 7, 0)
        bytemove(@attr, bd.saddr, 768)
        waitcnt(5_000_000 + cnt)
        
      if byte[curr] == 1
        bytemove(@attr, ud.saddr, 768)
        Synth("A", 7, 196)
        waitcnt(20_000_000 + cnt)
        Synth("A", 7, 0)
        bytemove(@attr, bd.saddr, 768)
        waitcnt(5_000_000 + cnt)
        
      if byte[curr] == 3
        bytemove(@attr, dd.saddr, 768)
        Synth("A", 7, 392)
        waitcnt(20_000_000 + cnt)
        Synth("A", 7, 0)
        bytemove(@attr, bd.saddr, 768)
        waitcnt(5_000_000 + cnt)
        
    kbd.clearkeys
    
    repeat curr from @start to sptr
      key := 5
      repeat until (key < 5)
        key := kbd.getkey
        if key == $C0
          key := 2
          bytemove(@attr, ld.saddr, 768)
        if key == $C1
          key := 4
          bytemove(@attr, rd.saddr, 768)
        if key == $C2
          key := 1
          bytemove(@attr, ud.saddr, 768)
        if key == $C3
          key := 3
          bytemove(@attr, dd.saddr, 768)
      
      if key <> byte[curr]
        Synth("A", 7, 50)
        waitcnt(80_000_000 + cnt)
        Synth("A", 7, 0)
        repeat
        
      Synth("A", 7, freq[key - 1])
      repeat while (kbd.keystate($C0) or  kbd.keystate($C1) or kbd.keystate($C2) or kbd.keystate($C3))
      
      Synth("A", 7, 0)
      bytemove(@attr, bd.saddr, 768)
      
    sptr ++
    waitcnt(80_000_000 + cnt)

PUB Synth(CTR_AB, Pin, Freq1) | s, d, ctr, frq

  Freq1 := Freq1 #> 0 <# 128_000_000     'limit frequency range
  
  if Freq1 < 500_000                    'if 0 to 499_999 Hz,
    ctr := constant(%00100 << 26)      '..set NCO mode
    s := 1                             '..shift = 1
  else                                 'if 500_000 to 128_000_000 Hz,
    ctr := constant(%00010 << 26)      '..set PLL mode
    d := >|((Freq - 1) / 1_000_000)    'determine PLLDIV
    s := 4 - d                         'determine shift
    ctr |= d << 23                     'set PLLDIV
    
  frq := fraction(Freq1, CLKFREQ, s)    'Compute FRQA/FRQB value
  ctr |= Pin                           'set PINA to complete CTRA/CTRB value

  if CTR_AB == "A"
     CTRA := ctr                        'set CTRA
     FRQA := frq                        'set FRQA                   
     DIRA[Pin]~~                        'make pin output
     
  if CTR_AB == "B"
     CTRB := ctr                        'set CTRB
     FRQB := frq                        'set FRQB                   
     DIRA[Pin]~~                        'make pin output

PRI fraction(a, b, shift) : f

  if shift > 0                         'if shift, pre-shift a or b left
    a <<= shift                        'to maintain significant bits while 
  if shift < 0                         'insuring proper result
    b <<= -shift
 
  repeat 32                            'perform long division of a/b
    f <<= 1
    if a => b
      a -= b
      f++           
    a <<= 1
    
dat

data                    byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %11111111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11111111, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %11111111
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11110000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %01000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000100
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00010000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00010100
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00101000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00100010
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %01000100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00100001
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %10000010, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %11100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11111111
                        byte %11110000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %11111111, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %11111111
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %11111111, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %11111111
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %11111111, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %11111111
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11000000
                        byte %11111111, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %10000000
                        byte %11111111, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %11111111, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11110000, %00000000
                        byte %00000000, %11111111
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %11111111, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11100000, %00000000
                        byte %00000000, %11111111
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11000000, %00000000
                        byte %00000000, %11111111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %10000000, %00000000
                        byte %00000000, %11111111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11110000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11110000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %10000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %11111111, %11100000
                        byte %00000111, %11111111
                        byte %00000000, %00000000
                        byte %11110000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %11100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %11100000, %00000000
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000001
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %10000000, %00000000
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %10000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11100000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11110000, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111000, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00111111
                        byte %11110000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000001, %11000000
                        byte %00001110, %00000000
                        byte %00000000, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00001110, %00000000
                        byte %00000001, %11000000
                        byte %00000000, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11111000, %00000000
                        byte %00010000, %00000000
                        byte %00000000, %00100000
                        byte %00000000, %00011111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11110000, %00000000
                        byte %01100000, %00000000
                        byte %00000000, %00011000
                        byte %00000000, %00001111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11100000, %00000000
                        byte %10000000, %00000000
                        byte %00000000, %00000100
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11000000, %00000011
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %00000000, %00000011
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11000000, %00000100
                        byte %00000000, %00000111
                        byte %10000000, %00000000
                        byte %10000000, %00000011
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %10000000, %00001000
                        byte %00000000, %11111000
                        byte %01111100, %00000000
                        byte %01000000, %00000001
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %10000000, %00010000
                        byte %00000001, %00000000
                        byte %00000010, %00000000
                        byte %00100000, %00000001
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00010000
                        byte %00000110, %00000000
                        byte %00000001, %10000000
                        byte %00100000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00100000
                        byte %00001000, %00000000
                        byte %00000000, %01000000
                        byte %00010000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %01000000
                        byte %00110000, %00000000
                        byte %00000000, %00110000
                        byte %00001000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %01000000
                        byte %00100000, %00000000
                        byte %00000000, %00010000
                        byte %00001000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %10000000
                        byte %01000000, %00000000
                        byte %00000000, %00001000
                        byte %00000100, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000001, %00000000
                        byte %10000000, %00000000
                        byte %00000000, %00000100
                        byte %00000010, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000001, %00000000
                        byte %10000000, %00000000
                        byte %00000000, %00000100
                        byte %00000010, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000001, %00000001
                        byte %00000000, %00000000
                        byte %00000000, %00000010
                        byte %00000010, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000010, %00000010
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %00000001, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000010, %00000010
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %00000001, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000010, %00000010
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %00000001, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000001, %11110000
                        byte %11110011, %11000001
                        byte %11100000, %11110000
                        byte %11110011, %11000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000011, %11111000
                        byte %11110011, %11100011
                        byte %11100011, %11111100
                        byte %11111011, %11000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000011, %00011100
                        byte %01100001, %11100011
                        byte %11000011, %00001100
                        byte %01111001, %10000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000011, %11000100
                        byte %01100001, %10110110
                        byte %11000110, %00000110
                        byte %01111101, %10000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000001, %11110000
                        byte %01100001, %10110110
                        byte %11000110, %00000110
                        byte %01101101, %10000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %01111100
                        byte %01100001, %10110110
                        byte %11000110, %00000110
                        byte %01101111, %10000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000010, %00001100
                        byte %01100001, %10011100
                        byte %11000110, %00000110
                        byte %01100111, %10000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000011, %10001100
                        byte %01100001, %10011100
                        byte %11000011, %00001100
                        byte %01100111, %10000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000001, %11111100
                        byte %11110011, %11011101
                        byte %11100011, %11111100
                        byte %11110011, %10000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %11111000
                        byte %11110011, %11001001
                        byte %11100000, %11110000
                        byte %11110011, %10000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000001, %00000000
                        byte %01000000, %00000000
                        byte %00000000, %00001000
                        byte %00000010, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000001, %00000000
                        byte %00100000, %00000000
                        byte %00000000, %00010000
                        byte %00000010, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %10000000
                        byte %00110000, %00000000
                        byte %00000000, %00110000
                        byte %00000100, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %01000000
                        byte %00001000, %00000000
                        byte %00000000, %01000000
                        byte %00001000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %01000000
                        byte %00000110, %00000000
                        byte %00000001, %10000000
                        byte %00001000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00100000
                        byte %00000001, %00000000
                        byte %00000010, %00000000
                        byte %00010000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00010000
                        byte %00000000, %11111000
                        byte %01111100, %00000000
                        byte %00100000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00010000
                        byte %00000000, %00000111
                        byte %10000000, %00000000
                        byte %00100000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %10000000, %00001000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01000000, %00000001
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %10000000, %00000100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %10000000, %00000001
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11000000, %00000011
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %00000000, %00000011
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11000000, %00000000
                        byte %10000000, %00000000
                        byte %00000000, %00000100
                        byte %00000000, %00000011
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11100000, %00000000
                        byte %01100000, %00000000
                        byte %00000000, %00011000
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11110000, %00000000
                        byte %00010000, %00000000
                        byte %00000000, %00100000
                        byte %00000000, %00001111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111000, %00000000
                        byte %00001110, %00000000
                        byte %00000001, %11000000
                        byte %00000000, %00011111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111000, %00000000
                        byte %00000001, %11000000
                        byte %00001110, %00000000
                        byte %00000000, %00011111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %00000000
                        byte %00000000, %00111111
                        byte %11110000, %00000000
                        byte %00000000, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %00000000, %00000000
                        byte %11100000, %00000000
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %11111111, %11100000
                        byte %00000111, %11111111
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001111
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000001, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11110000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %00000000
                        byte %00000000, %00000001
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %00000000
                        byte %00000000, %00000011
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %11111111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %11111111, %00000000
                        byte %00000000, %00000111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %11111111
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %11111111, %00000000
                        byte %00000000, %00001111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %11111111
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00011111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %11111111
                        byte %00000001, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %11111111
                        byte %00000011, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %11111111, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %11111111
                        byte %00000111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %11111111, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %11111111
                        byte %00001111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11111111, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11111111
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001111
                        byte %11111111, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000111
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00100001
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %10000010, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00100010
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %01000100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00010100
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00101000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00010000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000100
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %01000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11110000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11100000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11111111, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %11111111
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %11111111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %11111110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001111, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000



attr                    byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_011_000
                        byte %0_0_011_000
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000
                        byte %0_0_000_000

start                   byte 0 